#ifndef __gui__pages__now_playing_h
#define __gui__pages__now_playing_h

#include <QFrame>
#include <unordered_map>

class QStackedWidget;

namespace Anime {
class Anime;
}

namespace anitomy {
class Elements;
}

class NowPlayingPage final : public QFrame {
		Q_OBJECT

	public:
		NowPlayingPage(QWidget* parent = nullptr);
		void SetDefault();
		void SetPlaying(const Anime::Anime& anime, const anitomy::Elements& episodes);
		int GetPlayingId();

	private:
		QStackedWidget* stack;
};

#endif // __gui__pages__now_playing_h
